import {Widget, Toolbar, Directory} from '../public/plugin/api';

import SubList from "./Zip/SubList";
import MainList from "./Zip/MainList";

let apiVersions = {
    Widget: '2.0.1',
    Toolbar: '2.0.0',
    Directory: '2.2.0'
};

function run() {

    Directory.registerFunction((directoryNode) => {
        console.log(directoryNode.getLayer() );
        if (directoryNode.getLayer() === 0 ) {
            return MainList;
        } else {
            return SubList;
        }
    });
    Directory.registerFetchLayersCountFunction(() => {
        return 2;
    })
    
}